/*------------------------------------------------------------------------
	CaptureListView.hpp - CaptureList View Object

	Copyright  1997 by Ixia Communications
	All Rights Reserved.

	Revision Log:
	12-10-1997	MM	Genesis

 *-----------------------------------------------------------------------*/

#if !defined(_CaptureListView_hpp_)
#define _CaptureListView_hpp_

#if _MSC_VER >= 1000
	#pragma once
#endif


#define idmAvailableDataNontify	(WM_USER+1200)
#define idmSendSliceRequest	    (WM_USER+1201)
#define idmReceiveSliceRequest	(WM_USER+1202)


#include "Test1Doc.h"

class CTreeSplitterView;




//	---------------------------------------------------------------------------
//	-------						CCaptureListView						-------
//	---------------------------------------------------------------------------

class CPort;
class CExplorerDoc;
class CCaptureHexView;
class CCaptureDecodeView;

class CCaptureListView : public CListView
{
protected:
	DECLARE_DYNCREATE(CCaptureListView)

public:
	CCaptureListView();
	virtual ~CCaptureListView();

	VOID SetExtendedViewStyle();

	CWordArray SliceArray;

	//{{AFX_VIRTUAL(CCaptureListView)
	public:
	virtual VOID OnInitialUpdate();
	protected:
	virtual BOOL OnNotify(WPARAM wParam, LPARAM lParam, LRESULT* pResult);
	//}}AFX_VIRTUAL

protected:
	//{{AFX_MSG(CCaptureListView)
	afx_msg INT  OnCreate(LPCREATESTRUCT lpCreateStruct); 
	afx_msg VOID OnDestroy();
	//}}AFX_MSG
	afx_msg VOID OnGetdispinfo(NMHDR* pNMHDR, LRESULT* pResult);

	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}

#endif	//	!defined(_CaptureListView_hpp_)
