/*------------------------------------------------------------------------
	CIxSplitterWnd.cpp - Splitter Window Object Subclass

	Copyright  1998 by Ixia Communications
	All Rights Reserved.

	Revision Log:
	08-25-1998	DS	Genesis

 *-----------------------------------------------------------------------*/
#include "stdafx.h"
#include "resource.h"
#include "IxSplitterWnd.hpp"
#include "CaptureListView.hpp"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


//	---------------------------------------------------------------------------
//	-------						CIxSplitterWnd							-------
//	---------------------------------------------------------------------------

IMPLEMENT_DYNCREATE(CIxSplitterWnd, CSplitterWnd)

CIxSplitterWnd::CIxSplitterWnd()
{
}

CIxSplitterWnd::~CIxSplitterWnd()
{
}

BEGIN_MESSAGE_MAP(CIxSplitterWnd, CSplitterWnd)
	//{{AFX_MSG_MAP(CIxSplitterWnd)
	ON_WM_LBUTTONUP()
	ON_WM_LBUTTONDOWN()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

void CIxSplitterWnd::OnLButtonUp(UINT nFlags, CPoint point) 
{
	CRect	rcCurrentTopPane;
	CWnd*	pWnd = GetPane(0,0);

	CSplitterWnd::OnLButtonUp(nFlags, point);

	if ( pWnd )
	{
		pWnd->GetClientRect(&rcCurrentTopPane);

		if ( rcTopPane.Height() < rcCurrentTopPane.Height() )
		{
			CCaptureListView* pCLV = (CCaptureListView *)pWnd;
		}
	}
}

void CIxSplitterWnd::OnLButtonDown(UINT nFlags, CPoint point) 
{
	CWnd *pWnd = GetPane(0,0);

	if ( pWnd )
		pWnd->GetClientRect(&rcTopPane);
	
	CSplitterWnd::OnLButtonDown(nFlags, point);
}

